Skip to main content
`Ctrl`+`K`

# PCFieldSplitSchurRestoreS

returns the `MATSCHURCOMPLEMENT` matrix used by this `PC`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitSchurRestoreS(PC pc, Mat *S)

Not Collective

## Input Parameters

- pc - the preconditioner context

- S - the Schur complement matrix

## See Also

Solving Block Matrices with PCFIELDSPLIT, `PC`, `PCFieldSplitGetSubKSP()`, `PCFIELDSPLIT`, `PCFieldSplitSchurPreType`, `PCFieldSplitSetSchurPre()`, `MatSchurComplement`, `PCFieldSplitSchurGetS()`

## Level

advanced

## Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages